Package Details: qlcplus 4.12.2-1

Git Clone URL: https://aur.archlinux.org/qlcplus.git (read-only)
Package Base: qlcplus
Description: Q Light Controller Plus - The open DMX lighting desk software for controlling professional lighting fixtures.
Upstream URL: http://qlcplus.org/
Keywords: dmx lighting
Licenses: Apache
Conflicts: qlc, qlc-svn
Submitter: jlebleu
Maintainer: freaknils
Last Packager: freaknils
Votes: 23
Popularity: 0.84
First Submitted: 2013-04-13 15:54
Last Updated: 2019-08-26 05:54

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

debbio commented on 2015-02-17 11:11

@jlebleu: don't worry.. by simpling changing the md5sum in PKGBUILD it's resolved
Thanks for your work! ;)

jlebleu commented on 2015-02-17 11:02

@debbio: Thanks, I didn't noticed... I'll try to update it quickly, I don't have my computer at hand sorry.

debbio commented on 2015-02-14 14:41

Hi man! According to "http://qlcplus.sourceforge.net/" Massimo released a fixed version of the new released... He keeps the same name, but the md5sum is probably changed cause I cannot compile it anymore due to validation problem.
Can you update the PKGBUILD?

Thank you so much!;)

jlebleu commented on 2014-12-26 16:04

@debbio: No problem, you're welcome! Please don't forget to vote for it and try if you want the Qt5 version - named qlcplus-qt5 - in order to have newest features!

debbio commented on 2014-12-26 13:45

@jlebleu: Ups you're right! Sorry!! All perfect! This program is fantastic! Thank you to keep it in aur :))

jlebleu commented on 2014-12-26 12:34

@debbio: As I understand - please paste the output in English, as explained here: https://wiki.archlinux.org/index.php/Bug_report#Gather_useful_information - it seems that gcc is not installed on your computer. I think that you should install base-devel if you build packages on your computer.

debbio commented on 2014-12-26 11:15

@jlebleu: During compilation I've received this error:

cd hotplugmonitor/ && /usr/bin/qmake-qt4 /tmp/yaourt-tmp-jus/aur-qlcplus/src/qlcplus-4.8.3/hotplugmonitor/hotplugmonitor.pro -o Makefile
cd hotplugmonitor/ && make -f Makefile
make[1]: ingresso nella directory "/tmp/yaourt-tmp-jus/aur-qlcplus/src/qlcplus-4.8.3/hotplugmonitor"
cd src/ && /usr/bin/qmake-qt4 /tmp/yaourt-tmp-jus/aur-qlcplus/src/qlcplus-4.8.3/hotplugmonitor/src/src.pro -o Makefile
cd src/ && make -f Makefile
make[2]: ingresso nella directory "/tmp/yaourt-tmp-jus/aur-qlcplus/src/qlcplus-4.8.3/hotplugmonitor/src"
g++ -c -pipe -Werror -Wno-unused-local-typedefs -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -fPIC -Wall -W -D_REENTRANT -DQT_NO_DEBUG_OUTPUT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -o hpmprivate-udev.o hpmprivate-udev.cpp
make[2]: g++: comando non trovato
Makefile:237: set di istruzioni per l'obiettivo "hpmprivate-udev.o" non riuscito
make[2]: *** [hpmprivate-udev.o] Errore 127
make[2]: uscita dalla directory "/tmp/yaourt-tmp-jus/aur-qlcplus/src/qlcplus-4.8.3/hotplugmonitor/src"
Makefile:40: set di istruzioni per l'obiettivo "sub-src-make_default-ordered" non riuscito
make[1]: *** [sub-src-make_default-ordered] Errore 2
make[1]: uscita dalla directory "/tmp/yaourt-tmp-jus/aur-qlcplus/src/qlcplus-4.8.3/hotplugmonitor"
Makefile:53: set di istruzioni per l'obiettivo "sub-hotplugmonitor-make_default-ordered" non riuscito
make: *** [sub-hotplugmonitor-make_default-ordered] Errore 2

How can I solve it? Thanks

jlebleu commented on 2014-12-25 17:39

@loser137: Thanks, I didn't noticed that plugins/plugins.pro has changed in order to build the ola plugin only if the library is installed. I'll update the package since this trick is not useful anymore - as the qlcplus-plugin-ola package!

loser137 commented on 2014-12-24 22:59

Version 4.8.3-1 does not build because plugins/plugins.pro was changed. I solved it for me by replacing
sed -i "/ola/s/^/#/" plugins/plugins.pro
with
sed -i "/+= ola/s/^/#/" plugins/plugins.pro

Otherwise too many lines are changed

jlebleu commented on 2014-10-03 09:49

@giagor: @debbio: I'm not sure that QLC+ is stable enough and ready for Qt5 yet, so I'd rather created a new package which is built with Qt5 in order to test and improve that: https://aur.archlinux.org/packages/qlcplus-qt5/